Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 613939 - Dashboard link for 'Recent Operations' (Update All Plugins) > compatible group of RHQ Agent is not working
Dashboard link for 'Recent Operations' (Update All Plugins) > compatible grou...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Operations (Show other bugs)
3.0.0
All Linux
urgent Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Jay Shaughnessy
:
Depends On:
Blocks: jon-sprint12-bugs
  Show dependency treegraph
 
Reported: 2010-07-13 06:15 EDT by Rajan Timaniya
Modified: 2010-08-12 12:44 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:44:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (13.83 KB, image/png)
2010-07-13 06:15 EDT, Rajan Timaniya
no flags Details
server log (831.44 KB, text/x-log)
2010-07-13 06:16 EDT, Rajan Timaniya
no flags Details

  None (edit)
Description Rajan Timaniya 2010-07-13 06:15:34 EDT
Created attachment 431408 [details]
screenshot

Description of problem:
Dashboard link for 'Recent Operations' (Update All Plugins) > compatible group of RHQ Agent is not working. 
It gives the error on UI:
Error  	


The page requested cannot be displayed due to some error.

return to the previous page, Dashboard, or Browse Resources page.

/rhq/groups/monitor/graphs.xhtml

Error in server log:
2010-07-13 04:45:07,215 ERROR [org.rhq.enterprise.server.scheduler.jobs.SavedSearchResultCountRecalculationJob] Could not calculate result count for SavedSearch[name=Downed Servers, pattern='availability=down category=server']: java.lang.UnsupportedOperationException: Global saved searches are not yet supported

Version-Release number of selected component (if applicable):
version: 2.4.0.GA_QA

build number: 10819:cfb77a5

How reproducible:
Always

Steps to Reproduce:
1) Log-in to JON
2) Create compatible group for RHQ Agent and create 'Update All Plugins' operation for it (schedule for immediately)
3) Go to dashboard and click on 'Group Name' under the 'Recent Operations' section
  
Actual results:
Dashborad > 'Recent Operations'  click on 'Group Nane' gives error in UI.
Error  	


The page requested cannot be displayed due to some error.

return to the previous page, Dashboard, or Browse Resources page.

/rhq/groups/monitor/graphs.xhtml

Expected results:
Dashborad > 'Recent Operations'  click on 'Group Nane' should not give error page.


Additional info:
Found issue with platforms-
Red Hat Enterprise Linux release 5.5
HP-UX  B.11.31 U ia64 1595629255 unlimited-user license
AIX  3 5 0003535AD300
SunOS  5.9 Generic_122300-08 sun4u sparc SUNW,Netra-210

Please refer attached files for screenshot and server log.
Comment 1 Rajan Timaniya 2010-07-13 06:16:31 EDT
Created attachment 431409 [details]
server log
Comment 2 Joseph Marques 2010-07-13 15:46:22 EDT
commit ddbb4b214fd500b08aecedbc404cb66c3c8a97c6
Author: Joseph Marques <joseph@redhat.com>
Date:   Tue Jul 13 15:44:18 2010 -0400

    BZ-613939: fix link for "recent group operation" section from the dashboard
Comment 3 Jay Shaughnessy 2010-07-14 16:25:26 EDT
Ran a recurring op on RHQ agent compat group and waited. Went to dashboard and clicked on the problem group link as well as other links.  It did not wig out.
Comment 4 Corey Welton 2010-08-12 12:44:38 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.